Namespaces
IWORKMediaElement.cpp File Reference
`#include "IWORKMediaElement.h"`
`#include <boost/optional.hpp>`
`#include <memory>`
`#include "libetonyek_xml.h"`
`#include "IWORKBinaryElement.h"`
`#include "IWORKCollector.h"`
`#include "IWORKDataElement.h"`
`#include "IWORKDictionary.h"`
`#include "IWORKFilteredImageElement.h"`
`#include "IWORKGeometryElement.h"`
`#include "IWORKParser.h"`
`#include "IWORKRefContext.h"`
`#include "IWORKSizeElement.h"`
`#include "IWORKStyleContainer.h"`
`#include "IWORKToken.h"`
`#include "IWORKWrapElement.h"`
`#include "IWORKXMLParserState.h"`
`#include "PAG1Token.h"`

## Namespaces
| libetonyek

## Variable Documentation

## ◆ m_audioOnlyImage

IWORKMediaContentPtr_t m_audioOnlyImage
| private

## ◆ m_audioOnlyImageRef

boost::optional<ID_t> m_audioOnlyImageRef
| private

## ◆ m_content

IWORKMediaContentPtr_t& m_content
| private

## ◆ m_data

IWORKDataPtr_t m_data
| private

## ◆ m_dataRef

optional<ID_t> m_dataRef
| private

## ◆ m_fillColor

optional<IWORKColor> m_fillColor
| private

## ◆ m_mainMovieRef

optional<ID_t> m_mainMovieRef
| private

## ◆ m_otherData

IWORKDataPtr_t m_otherData
| private

## ◆ m_posterImage

IWORKMediaContentPtr_t m_posterImage
| private